﻿:root {
    --corner-radius: 1.5rem;
    --side-margins: 3rem;
}
/* Hide the default radio button */
input[type="radio"] {
    appearance: none; /* For modern browsers */
    -webkit-appearance: none; /* For older WebKit browsers */
    -moz-appearance: none; /* For older Firefox browsers */
    width: 20px;
    height: 20px;
    border: 1px solid black;
    border-radius: 50%;
    outline: none;
    cursor: pointer;
    background-color: #f1f1f1; /* Default background color */
    transition: background-color 0.3s ease;
    vertical-align: -15%;
}

    /* Change the background color when selected */
    input[type="radio"]:checked {
        background-color: #FFBC0D;
        border: 2px solid black;
    }

    /* Optional: Add a hover effect */
    input[type="radio"]:hover {
        border: 2px solid red;
    }

.promotigo-form .forms-tooltip .no-hover {
    visibility: hidden !important;
    opacity: 0 !important;
}

label.error {
    font-family: var(--font-family) !important;
    font-size: 0.85rem;
}

.promotigo-form span.error {
    z-index: 10;
    position: relative;
}

header {
    display: none !important;
}

h1,
.h1,
#promotigoForm .h1,
#promotigoForm h1 {
    font-size: 1.625rem;
    font-family: "Speedee Bold", sans-serif;
}

h2,
.h2,
#promotigoForm .h2,
#promotigoForm h2 {
    font-size: 1.25rem;
    font-family: "Speedee Bold", sans-serif;
}

h3,
.h3,
#promotigoForm .h3,
#promotigoForm h3 {
    font-size: 1rem !important;
    font-family: "Speedee Bold", sans-serif;
}

#promotigoForm a {
    text-decoration: underline;
}

.speedee-bold,
#promotigoForm label {
    font-family: "Speedee Bold", sans-serif;
}

#promotigoForm legend {
    font-size: var(--font-size-standard);
}

.speedee-bold,
#promotigoForm label,
#promotigoForm legend {
    font-family: "Speedee Bold", sans-serif;
}

#promotigoForm label,
#promotigoForm input,
#promotigoForm legend {
    z-index: 10;
    position: relative;
}

.smaller-font {
    font-size: 0.75rem;
}

.slightly-smaller-font {
    font-size: 0.85rem;
}


#promotigoForm .radio label.prom_radioInputLabel {
    font-family: var(--font-family);
}

.footer-links-item a {
    color: inherit;
    text-decoration: none;
    display: flex;
    align-items: baseline;
}

    .footer-links-item a h3 {
        font-family: "Speedee Bold", sans-serif;
        margin-bottom: 0;
    }

.footer-links-item svg {
    margin-left: 0.2rem;
    width: 1.5rem;
}

#promotigoForm .prom_radioInputLabel input {
    margin-right: 0.4rem;
}

.backgroundImage .container-fluid {
    padding: 0 !important;
}

#promotigoForm {
    background-color: #0000;
    padding: 0 !important;
    text-align: center;
}

    #promotigoForm form {
        text-align: left;
    }

    #promotigoForm .promdiv {
        background-color: var(--formBackground-color);
        margin: 0 var(--side-margins);
        width: calc(100% - var(--side-margins) * 2);
    }

    #promotigoForm .promdiv-tms-rounded-container {
        border-radius: var(--corner-radius);
        margin-top: 2rem;
        padding-top: 1rem;
    }

    #promotigoForm .promdiv-promotigo-outside-form {
        background-color: unset;
    }

    #promotigoForm .promdiv-promotigo-first-field {
        padding-top: 1rem;
        border-radius: var(--corner-radius) var(--corner-radius) 0 0;
        margin-top: 2rem;
    }

    #promotigoForm .promdiv-promotigo-last-field {
        border-radius: 0 0 var(--corner-radius) var(--corner-radius);
        margin-bottom: 2rem;
    }

    #promotigoForm .promdiv-promotigo-tms-header-block {
        padding-top: 1rem;
        border-radius: 0 0 var(--corner-radius) var(--corner-radius);
        margin: 0 auto;
        width: calc(100% - 30px);
        text-align: center !important;
        padding-left: 4.5rem !important;
        padding-right: 4.5rem !important;
    }

    #promotigoForm .promdiv-promotigo-fullwidth {
        padding-top: 1rem;
        margin: 0 auto;
        width: calc(100% - 30px);
    }

    #promotigoForm .tms-header-image {
        width: 100%;
        max-width: 12rem;
        margin: auto;
        display: block;
    }

    #promotigoForm .tms-formheader-icon {
        width: 20%;
        max-width: 5rem;
        margin: 2rem;
    }

    #promotigoForm .tms-red {
        stroke: #f92d00;
        color: #f92d00;
    }

    #promotigoForm .btn-primary.PromotigoSubmit {
        font-family: "Speedee Bold", sans-serif;
        color: var(--primary-color);
        width: 100%;
        background: #f7b405;
        background: linear-gradient(0deg, rgba(247, 180, 5, 1) 61%, rgba(255, 217, 116, 1) 100%);
        box-shadow: -2px 3px 0px 0px rgba(0, 0, 0, 0.25);
        -webkit-box-shadow: -2px 3px 0px 0px rgba(0, 0, 0, 0.25);
        -moz-box-shadow: -2px 3px 0px 0px rgba(0, 0, 0, 0.25);
    }

        #promotigoForm .btn-primary.PromotigoSubmit:active {
            color: var(--primary-color);
        }

        #promotigoForm .btn-primary.PromotigoSubmit:focus {
            border: none;
            box-shadow: 0 0 0 0.2rem var(--primary-color);
        }

        #promotigoForm .btn-primary.PromotigoSubmit + small {
            display: none;
        }

    #promotigoForm .promdiv-back-to-top {
        padding-top: 0.5rem;
    }

    #promotigoForm .tms-back-to-top {
        display: flex;
        justify-content: end;
        text-align: center;
    }

        #promotigoForm .tms-back-to-top svg {
            vertical-align: middle;
            width: 1.5rem;
            height: 1.5rem;
        }

    #promotigoForm #back-to-top-btn {
        background: none;
        color: inherit;
        border: none;
        padding: 0;
        font: inherit;
        cursor: pointer;
        outline: inherit;
    }

    footer {
        box-shadow: 0px 4px 27px 0px rgba(0, 0, 0, 0.25);
        -webkit-box-shadow: 0px 4px 27px 0px rgba(0, 0, 0, 0.25);
        -moz-box-shadow: 0px 4px 27px 0px rgba(0, 0, 0, 0.25);
        z-index: 10;
    }

@media (min-width: 768px) {
    header {
        display: block !important;
    }

    #promotigoForm .promdiv {
        padding-left: 2.5rem;
        padding-right: 2.5rem;
    }

    #promotigoForm .promdiv-promotigo-tms-header-block {
        border-radius: var(--corner-radius);
    }

    #promotigoForm .promdiv:not(.promdiv-promotigo-fullwidth),
    #promotigoForm .promdiv-promotigo-tms-header-block {
        margin-left: auto;
        margin-right: auto;
        width: calc(100% - var(--side-margins) * 2);
        max-width: 37.5rem;
    }

    #promotigoForm .promdiv-promotigo-tms-header-block,
    #promotigoForm .promdiv-promotigo-first-field {
        margin-top: 2rem;
    }

    #promotigoForm .promdiv-promotigo-first-field {
        padding-top: 2rem;
    }

    #promotigoForm .promdiv-promotigo-last-field {
        margin-bottom: 2rem;
    }

    #promotigoForm .promdiv-back-to-top {
        display: none;
    }

    #promotigoForm .promdiv-promotigo-fullwidth p,
    #promotigoForm .promdiv-promotigo-fullwidth .PromotigoSubmit {
        max-width: 37.5rem;
        margin: auto;
    }

    #promotigoForm .promdiv-promotigo-fullwidth .PromotigoSubmit {
        display: block;
    }

    #promotigoForm .promdiv-promotigo-p-b-3 {
        padding-bottom: 3rem;
    }

    .navbar {
        display: block !important;
        text-align: center;
    }

    .navbar-brand.mx-auto {
        margin-left: 0 !important;
    }

    #promotigoForm.max-width-form {
        max-width: unset;
    }

    #promotigoForm .promdiv-left-field {
        width: calc(37.5rem / 2) !important;
        margin: 0 auto 0 calc(50% - 18.75rem) !important;
        display: inline-block;
        padding-right: 1rem;
        vertical-align: top;
    }

    #promotigoForm .promdiv-right-field {
        width: calc(37.5rem / 2) !important;
        display: inline-block;
        padding-left: 1rem;
        vertical-align: top;
    }

    #promotigoForm .promdiv-bottom-element-dt {
        padding-bottom: 3rem;
    }

    #promotigoForm .promdiv-left-field::after,
    #promotigoForm .promdiv-right-field::after {
        width: calc(37.5rem - 2.65rem);
        background: #ffffff;
        height: 100%;
        content: "";
        position: absolute;
        padding-left: 0;
        top: 0;
        z-index: 0;
    }

    #promotigoForm .promdiv-right-field::after {
        left: -18.75rem;
    }
}

